> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-data/api-documentation/javascript/profile-updates.md).

# User Profile Updates

## Updating the User profile

The example below provides a demonstration of how a profile update can be sent to Adnuntius Data, for a user profile stored in folder `00000000000aaaaa`, using the javascript API.

```javascript
<script src="https://cdn.adnuntius.com/adn.js" async></script>
<script>
    window.adn = window.adn || {};
    adn.calls = adn.calls || [];
    adn.calls.push(function() {
        adn.visitor('00000000000aaaaa', {
            profileValues: {
                firstName: "Bruce",
                dateOfBirth: "2001-120-31",
                lastTransactionAmount: 7000000
            }
        });
    });
</script>
```

See the section on [Profile Fields](/adnuntius-data/api-documentation/fields.md) for more information about what data can be sent with the profile update request.

[See here how you can update a user profile using the HTTP API instead](/adnuntius-data/api-documentation/http/http-profile.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-data/api-documentation/javascript/profile-updates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
